Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class ApplicationModuleFactory

    java.lang.Object
      |
      +--oracle.jbo.ApplicationModuleFactory

public class ApplicationModuleFactory
extends java.lang.Object

Internal: Applications should not directly extend this class or invoke its methods.

Method Summary
`static ApplicationModule` | `create(java.lang.String instanceName, java.lang.String className, int mode, java.lang.String connectStr, int driver, int timeout)`
`static ApplicationModule` | `create(java.lang.String deployPlatform, java.lang.String instanceName, java.lang.String className, int mode, java.lang.String connectStr, int driver, int timeout)`
`static ApplicationModule` | `get(int mode, java.lang.String instance)`
`static ApplicationModule` | `get(java.lang.String instance)`
`static ApplicationModule` | `get(java.lang.String deploy, java.lang.String hostName, java.lang.String appName, int connectionMode, java.lang.String instanceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static ApplicationModule create(java.lang.String instanceName,
                                           java.lang.String className,
                                           int mode,
                                           java.lang.String connectStr,
                                           int driver,
                                           int timeout)

### create

    public static ApplicationModule create(java.lang.String deployPlatform,
                                           java.lang.String instanceName,
                                           java.lang.String className,
                                           int mode,
                                           java.lang.String connectStr,
                                           int driver,
                                           int timeout)

### get

    public static ApplicationModule get(java.lang.String deploy,
                                        java.lang.String hostName,
                                        java.lang.String appName,
                                        int connectionMode,
                                        java.lang.String instanceName)

### get

    public static ApplicationModule get(java.lang.String instance)

### get

    public static ApplicationModule get(int mode,
                                        java.lang.String instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD